7.0.0

# scwfas

Waveform archive server

## Description

The waveform archive server is a small application that serves a local SDS archive via different protocols. Currently there are two implementations:

- fdsnws dataselect

  - dataselect/1/query

  - dataselect/1/version

  - dataselect/1/application.wadl

All data are forwarded unrestricted. There are no options to add restriction checks or user authentication.

## Module Configuration

`etc/defaults/global.cfg`
`etc/defaults/scwfas.cfg`
`etc/global.cfg`
`etc/scwfas.cfg`
`~/.seiscomp/global.cfg`
`~/.seiscomp/scwfas.cfg`

scwfas inherits global options.

handlerSDS

  Type: string

  Defines an alternative SDS archive handler. This is the name of an RecordStream interface that can be loaded via a plugin. If not given, an internal implementation will be used.

filebase

  Default: `@ROOTDIR@/var/lib/archive`

  Type: string

  The filebase of the SDS archive. If an alternative archive handler is defined by "handlerSDS", this value serves as input to setSource().

fdsnws.port

  Default: `8080`

  Type: int

  The server port for FDSNWS connections. -1 deactivates the FDSN Web server.

fdsnws.baseURL

  Default: `http://localhost:8080/fdsnws`

  Type: string

  The base URL of the FDSN Web service that is given in the WADL document.

fdsnws.maxTimeWindow

  Default: `0`

  Type: int

  Unit: s

  The aggregated maximum time window (seconds) for all requested streams. A value of 0 will deactive any restriction.

## Command-Line Options

scwfas [options]

### Generic

-h, --help

  Show help message.

-V, --version

  Show version information.

--config-file arg

  Use alternative configuration file. When this option is used the loading of all stages is disabled. Only the given configuration file is parsed and used. To use another name for the configuration create a symbolic link of the application or copy it. Example: scautopick -> scautopick2.

--plugins arg

  Load given plugins.

-D, --daemon

  Run as daemon. This means the application will fork itself and doesn’t need to be started with &.

### Verbosity

--verbosity arg

  Verbosity level [0..4]. 0:quiet, 1:error, 2:warning, 3:info, 4:debug.

-v, --v

  Increase verbosity level (may be repeated, eg. -vv).

-q, --quiet

  Quiet mode: no logging output.

--print-component arg

  For each log entry print the component right after the log level. By default the component output is enabled for file output but disabled for console output.

--component arg

  Limit the logging to a certain component. This option can be given more than once.

-s, --syslog

  Use syslog logging backend. The output usually goes to /var/lib/messages.

-l, --lockfile arg

  Path to lock file.

--console arg

  Send log output to stdout.

--debug

  Execute in debug mode. Equivalent to --verbosity=4 --console=1 .

--trace

  Execute in trace mode. Equivalent to --verbosity=4 --console=1 --print-component=1 --print-context=1 .

--log-file arg

  Use alternative log file.

### Server

--arclink-port int

  Overrides configuration parameter `arclink.port`.

--fdsnws-port int

  Overrides configuration parameter `fdsnws.port`.

--fdsnws-baseurl string

  Overrides configuration parameter `fdsnws.baseURL`.